/**
 * PersonNamePartQualifier.java
 *
 * File generated from the medication::PersonNamePartQualifier uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration PersonNamePartQualifier.
 *
 * 
 */

@XmlType(name = "PersonNamePartQualifier")
@XmlEnum
@XmlRootElement(name = "PersonNamePartQualifier")
public enum PersonNamePartQualifier {
	@XmlEnumValue("IN")
	IN("IN"),
	@XmlEnumValue("TITLE")
	TITLE("TITLE"),
	@XmlEnumValue("AC")
	AC("AC"),
	@XmlEnumValue("NB")
	NB("NB"),
	@XmlEnumValue("PR")
	PR("PR"),
	@XmlEnumValue("VV")
	VV("VV"),
	@XmlEnumValue("AD")
	AD("AD"),
	@XmlEnumValue("BR")
	BR("BR"),
	@XmlEnumValue("SP")
	SP("SP"),
	@XmlEnumValue("CL")
	CL("CL");
	
	private final String value;

    PersonNamePartQualifier(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static PersonNamePartQualifier fromValue(String v) {
        for (PersonNamePartQualifier c: PersonNamePartQualifier.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}